using System.Windows.Input;
using devDept.Eyeshot;
using devDept.Eyeshot.Control;
using WpfEngineeringSketch.ViewModels;

namespace WpfEngineeringSketch.Tools3D
{
    public interface I3DTool
    {
        string Name { get; }
        void OnMouseDown(MainViewModel vm, Design design, MouseButtonEventArgs e);
        void OnMouseMove(MainViewModel vm, Design design, MouseEventArgs e);
        void OnMouseUp(MainViewModel vm, Design design, MouseButtonEventArgs e);
        void Activate(MainViewModel vm);
        void Deactivate(MainViewModel vm);
    }
}

